This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 9b6b471 2015-07-27 Richard Biener <rguenther(a)suse.de>
new 6784a47 PR c++/66555 PR c/54979 * c-common.c (find_array_ref_with_ [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 6 ++
gcc/c-family/ChangeLog | 9 +++
gcc/c-family/c-common.c | 64 ++++++++++++++++++++
gcc/c-family/c-common.h | 1 +
gcc/c-family/c.opt | 4 ++
gcc/c/ChangeLog | 6 ++
gcc/c/c-typeck.c | 3 +
gcc/cp/ChangeLog | 8 +++
gcc/cp/call.c | 2 +
gcc/cp/pt.c | 1 +
gcc/doc/invoke.texi | 17 +++++-
gcc/testsuite/ChangeLog | 6 ++
.../c-c++-common/Wtautological-compare-1.c | 70 ++++++++++++++++++++++
gcc/testsuite/g++.dg/cpp0x/decltype-54581.C | 2 +-
gcc/testsuite/g++.dg/other/vector-compare.C | 2 +-
15 files changed, 198 insertions(+), 3 deletions(-)
create mode 100644 gcc/testsuite/c-c++-common/Wtautological-compare-1.c
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch remove_hackingisms
in repository toolchain/semiautobench.
commit 25510f1d118a0feff00f5ee7b2b4dbacf33a5a55
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Mon Jul 27 09:22:21 2015 +0200
Create debug mode
Wrap script in tmux, so that we can attach on failure. Disable
status bar so that console output isn't full of escape codes.
Trap exits so that, if BENCH_DEBUG is set, we do not exit.
The two together let us log in, attach to tmux session and suspend.
We can then debug in the environment where the error occurred.
Change-Id: I0d508e8f77b6ece882913a876f2ebd5054301cb4
---
bench-session-debian.yaml | 3 ++-
invoke_session_debian | 12 +++++++++++-
2 files changed, 13 insertions(+), 2 deletions(-)
diff --git a/bench-session-debian.yaml b/bench-session-debian.yaml
index fcd9dd4..7af1779 100644
--- a/bench-session-debian.yaml
+++ b/bench-session-debian.yaml
@@ -12,6 +12,7 @@ params:
TOOLCHAIN: https://releases.linaro.org/14.11/components/toolchain/binaries/arm [...]
RUN_FLAGS: None
COMPILER_FLAGS: None
+ BENCH_DEBUG: None
install:
deps:
@@ -36,4 +37,4 @@ install:
run:
steps:
- ./setup_session_debian "$PUB_KEY"
- - ./invoke_session_debian "$GATEWAY" "$ABE_BRANCH" "$BENCHMARK" "$TOOLCHAI [...]
+ - tmux start-server\; set -g status off\; new -s benchmark-host 'BENCH_DEB [...]
diff --git a/invoke_session_debian b/invoke_session_debian
index fe835e0..aa28ae9 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -5,7 +5,17 @@ set -o pipefail
error=1
-trap "rm -rf ~/*; exit \${error}" EXIT
+function exitfunc {
+ if test ${error} -ne 0; then
+ if test x"${BENCH_DEBUG}" != x && test x"${BENCH_DEBUG}" != xNone; then
+ sleep infinity
+ fi
+ fi
+ rm -rf ~/*
+ exit ${error}
+}
+
+trap exitfunc EXIT
# Hack for now until lava-test-shell is smart enough to know it's dispatcher ip
gateway=$1
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch remove_hackingisms
in repository toolchain/semiautobench.
commit 9756f17a36d7f80247f945cf116e47ad61bd40f0
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Mon Jul 27 12:33:16 2015 +0200
Move early IP report to first script
This is even earlier, and de-pollutes the main script a little.
Change-Id: I6dd6276190cad4af1c17b1c1ec78ed0627133bc0
---
bench-session-debian.yaml | 3 +--
invoke_session_debian | 22 ++++++++--------------
setup_session_debian | 5 +++++
3 files changed, 14 insertions(+), 16 deletions(-)
diff --git a/bench-session-debian.yaml b/bench-session-debian.yaml
index 7af1779..e14ed90 100644
--- a/bench-session-debian.yaml
+++ b/bench-session-debian.yaml
@@ -6,7 +6,6 @@ metadata:
params:
PUB_KEY: None
- GATEWAY: 10.0.0.1
ABE_BRANCH: benchmarking
BENCHMARK: fakebench
TOOLCHAIN: https://releases.linaro.org/14.11/components/toolchain/binaries/arm [...]
@@ -37,4 +36,4 @@ install:
run:
steps:
- ./setup_session_debian "$PUB_KEY"
- - tmux start-server\; set -g status off\; new -s benchmark-host 'BENCH_DEB [...]
+ - tmux start-server\; set -g status off\; new -s benchmark-host 'BENCH_DEB [...]
diff --git a/invoke_session_debian b/invoke_session_debian
index c0b7108..9772160 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -16,29 +16,22 @@ function exitfunc {
trap exitfunc EXIT
-# Hack for now until lava-test-shell is smart enough to know it's dispatcher ip
-gateway=$1
-abe_branch="$2"
+abe_branch="$1"
#these parameters used by Benchmark.job
-export benchmark="$3"
-export toolchain="$4"
-if test x"$5" = xNone; then
+export benchmark="$2"
+export toolchain="$3"
+if test x"$4" = xNone; then
export run_flags=
else
- export run_flags="$5"
+ export run_flags="$4"
fi
-if test x"$6" = xNone; then
+if test x"$5" = xNone; then
export compiler_flags=
else
- export compiler_flags="$6"
+ export compiler_flags="$5"
fi
-# Obtain target IP and Hostname
-ip_addr=$(ifconfig `ip route get $gateway | cut -d ' ' -f3` | grep 'inet addr' |aw [...]
-hostname=$(cat /etc/hostname)
-echo "IP address for early debugging: ${ip_addr}"
-
# Set the PATH to use the LAVA api
echo "export PATH=/lava/bin/:$PATH" > ~/.bashrc
@@ -80,6 +73,7 @@ fi
#Generate config file for each target in multinode job
lava-network broadcast eth0
lava-network collect eth0
+ip_addr="$(lava-network query `lava-group | grep '[[:blank:]]\+host$' | awk '{prin [...]
#Request agent just before we need it
#This would be two keys in one agent if we wanted one for source, one for job
diff --git a/setup_session_debian b/setup_session_debian
index 4352d2d..ac6c2b5 100755
--- a/setup_session_debian
+++ b/setup_session_debian
@@ -12,3 +12,8 @@ echo "Public Key Installed: $1"
/etc/init.d/ssh restart
echo "sshd re-started"
+
+echo "Hostname for early debugging: $(cat /etc/hostname)"
+echo "IP address for early debugging: $(hostname -I)"
+
+
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch remove_hackingisms
in repository toolchain/semiautobench.
commit 587500df16d40e24031b784dc71dec1ec77385a9
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 24 15:44:53 2015 +0200
Remove hacking session isms
We keep the bit that computes the IP address, even though
lava-network will tell us the same thing later - this is for
debugging of early problems.
Change-Id: I753801fcc4c051401d0aabb218bb7fd02d33324f
---
invoke_session_debian | 14 +-------------
1 file changed, 1 insertion(+), 13 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index aa28ae9..c0b7108 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -1,5 +1,4 @@
#!/bin/bash
-# Usage ./invoke_session <gateway>
set -u
set -o pipefail
@@ -34,17 +33,11 @@ if test x"$6" = xNone; then
else
export compiler_flags="$6"
fi
-echo "Target's Gateway: $gateway"
-
-if ! grep 'invoke_session' /etc/rc.local
-then
- sed -i '/bin/a invoke_session &' /etc/rc.local
-fi
# Obtain target IP and Hostname
ip_addr=$(ifconfig `ip route get $gateway | cut -d ' ' -f3` | grep 'inet addr' |aw [...]
hostname=$(cat /etc/hostname)
-echo ${ip_addr}
+echo "IP address for early debugging: ${ip_addr}"
# Set the PATH to use the LAVA api
echo "export PATH=/lava/bin/:$PATH" > ~/.bashrc
@@ -84,11 +77,6 @@ if ! ssh -o NoHostAuthenticationForLocalhost=yes localhost true; then
exit 1
fi
-echo ""
-mkdir -p /run
-mkdir -p /run/hacking
-echo $$ > /run/hacking/hacking.pid
-
#Generate config file for each target in multinode job
lava-network broadcast eth0
lava-network collect eth0
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch remove_hackingisms
in repository toolchain/semiautobench.
at 9756f17 Move early IP report to first script
This branch includes the following new commits:
new 25510f1 Create debug mode
new 587500d Remove hacking session isms
new 9756f17 Move early IP report to first script
The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from e954729 Daily bump.
new 9b6b471 2015-07-27 Richard Biener <rguenther(a)suse.de>
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 6 +++++
gcc/genmatch.c | 72 +++++++++++++++++++++++++++++++++++++++++++++++++++-------
2 files changed, 70 insertions(+), 8 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 29a9c4d379b5068138383468c697cb66658c24a9
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Mon Jul 27 09:22:21 2015 +0200
Create debug mode
Wrap script in tmux, so that we can attach on failure. Disable
status bar so that console output isn't full of escape codes.
Trap exits so that, if BENCH_DEBUG is set, we do not exit.
The two together let us log in, attach to tmux session and suspend.
We can then debug in the environment where the error occurred.
Change-Id: I0d508e8f77b6ece882913a876f2ebd5054301cb4
---
bench-session-debian.yaml | 3 ++-
invoke_session_debian | 12 +++++++++++-
2 files changed, 13 insertions(+), 2 deletions(-)
diff --git a/bench-session-debian.yaml b/bench-session-debian.yaml
index fcd9dd4..25c91c9 100644
--- a/bench-session-debian.yaml
+++ b/bench-session-debian.yaml
@@ -12,6 +12,7 @@ params:
TOOLCHAIN: https://releases.linaro.org/14.11/components/toolchain/binaries/arm [...]
RUN_FLAGS: None
COMPILER_FLAGS: None
+ BENCH_DEBUG: None
install:
deps:
@@ -36,4 +37,4 @@ install:
run:
steps:
- ./setup_session_debian "$PUB_KEY"
- - ./invoke_session_debian "$GATEWAY" "$ABE_BRANCH" "$BENCHMARK" "$TOOLCHAI [...]
+ - tmux start-server\; set -g status off\; new -s benchmark-host 'BENCH_DEB [...]
diff --git a/invoke_session_debian b/invoke_session_debian
index fe835e0..aa28ae9 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -5,7 +5,17 @@ set -o pipefail
error=1
-trap "rm -rf ~/*; exit \${error}" EXIT
+function exitfunc {
+ if test ${error} -ne 0; then
+ if test x"${BENCH_DEBUG}" != x && test x"${BENCH_DEBUG}" != xNone; then
+ sleep infinity
+ fi
+ fi
+ rm -rf ~/*
+ exit ${error}
+}
+
+trap exitfunc EXIT
# Hack for now until lava-test-shell is smart enough to know it's dispatcher ip
gateway=$1
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
discards d1e5d78 Create debug mode
new 29a9c4d Create debug mode
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (d1e5d78)
\
N -- N -- N refs/heads/inserted_src (29a9c4d)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
bench-session-debian.yaml | 3 +--
1 file changed, 1 insertion(+), 2 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
discards 62b6015 Create debug mode
new d1e5d78 Create debug mode
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (62b6015)
\
N -- N -- N refs/heads/inserted_src (d1e5d78)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
invoke_session_debian | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit d1e5d784a8262a0472eda708e4ead29231f47d80
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Mon Jul 27 09:22:21 2015 +0200
Create debug mode
Wrap script in tmux, so that we can attach on failure.
Trap exits so that, if BENCH_DEBUG is set, we do not exit.
The two together let us log in, attach to tmux session and suspend.
We can then debug in the environment where the error occurred.
Change-Id: I0d508e8f77b6ece882913a876f2ebd5054301cb4
---
bench-session-debian.yaml | 4 +++-
invoke_session_debian | 12 +++++++++++-
2 files changed, 14 insertions(+), 2 deletions(-)
diff --git a/bench-session-debian.yaml b/bench-session-debian.yaml
index fcd9dd4..096f64d 100644
--- a/bench-session-debian.yaml
+++ b/bench-session-debian.yaml
@@ -12,6 +12,7 @@ params:
TOOLCHAIN: https://releases.linaro.org/14.11/components/toolchain/binaries/arm [...]
RUN_FLAGS: None
COMPILER_FLAGS: None
+ BENCH_DEBUG: None
install:
deps:
@@ -36,4 +37,5 @@ install:
run:
steps:
- ./setup_session_debian "$PUB_KEY"
- - ./invoke_session_debian "$GATEWAY" "$ABE_BRANCH" "$BENCHMARK" "$TOOLCHAI [...]
+ - tmux set -g status off
+ - tmux new -s benchmark-host 'BENCH_DEBUG="$BENCH_DEBUG" ./invoke_session_ [...]
diff --git a/invoke_session_debian b/invoke_session_debian
index fe835e0..aa28ae9 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -5,7 +5,17 @@ set -o pipefail
error=1
-trap "rm -rf ~/*; exit \${error}" EXIT
+function exitfunc {
+ if test ${error} -ne 0; then
+ if test x"${BENCH_DEBUG}" != x && test x"${BENCH_DEBUG}" != xNone; then
+ sleep infinity
+ fi
+ fi
+ rm -rf ~/*
+ exit ${error}
+}
+
+trap exitfunc EXIT
# Hack for now until lava-test-shell is smart enough to know it's dispatcher ip
gateway=$1
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.